System Requirements

Introduction

 
This article outlines the system requirements for 
Active Platform. It provides information on browser compatibility, 2FA support, Office Add-in requirements, Microsoft Office versions and internet requirements. 


Browser Compatibility

 
Active Platform is compatible with the following web browsers:

  • Google Chrome (latest version) 
  • Mozilla Firefox (latest version) 
  • Microsoft Edge (latest version)


Please note that Active Platform may not function properly on older or outdated web browsers. 


2FA Support


Active Platform mandates Two-Factor Authentication (2FA) for enhanced security. This feature 
requires a supported authentication app (such as Google Authenticator) to be set up before use.
 


Office Add-in Requirements
 


The following Office add-ins are required to support the Active Platform. Please ensure that these add-ins are installed before using the Active Platform.



Office Versions


The following versions of MS Office are required to use the add-ins:


Office on Windows (Microsoft 365 subscription -  Business Standard or Premium ) 

* Microsoft 365 Basics and Microsoft 365 Apps for Business are not compatible.

Recommended: Latest Patched Version 

Minimum: Version 2108 (Build 14326.20508) 

Office on Windows (volume-licensed perpetual) Office 2021 

Recommended: Latest Patched Version 

Minimum: Version 2108 (Build 14326.20508)


Client Operating System Requirements


Requires Windows 11 or Windows 10.
OR
MacOS 12.0 or later.


Server Operating System Requirements (If Accessing Active platform through Windows Remote Desktop Services or Citrix )


When accessing Active platform through Windows Remote Desktop Services or Citrix, we highly recommend using Microsoft-supported versions, specifically Windows Server 2019 or any newer edition.


Important Note*

  • Using Windows Server 2012/R2 is not advised, as it lacks Microsoft's support (Windows Server 2012 R2 - Microsoft Lifecycle | Microsoft Learn ), and this may result in significant performance issues.
  • Windows Server 2016's mainstream support has already ended in January 2022 (Windows Server 2016 - Microsoft Lifecycle | Microsoft Learn), making it less suitable for optimal performance.
  • If you plan to use our office add-ins on a terminal server or older versions of Windows, you must have Edge WebView 2 installed. Without Edge WebView 2, the add-ins will run using Internet Explorer, which is not supported and may lead to undesired outcomes.  

 

Hardware Requirements 


To run Active Platform, you will need a computer with the following minimum hardware specifications: 

  • CPU: 2 cores 

  • 8 GB of RAM or higher 


Please note that these are minimum requirements, and higher-spec hardware will result in better performance.
 

 

Internet Requirements 


Active Platform requires an active internet connection to function properly. A broadband connection with a minimum speed of 12 Mbps is recommended for optimal performance.

 

Conclusion 


This system requirement article provides the necessary information to ensure that the Active Platform runs smoothly on your system. Please contact our support team for assistance if you have any questions or concerns about these requirements. 

Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.